## openbox-menu 0.8.0

=== Makefile ===
LIBS= `pkg-config --libs glib-2.0 gtk+-2.0 libmenu-cache`
CFLAGS+= -g -Wall `pkg-config --cflags glib-2.0 gtk+-2.0 libmenu-cache`
CC=gcc
#-DG_DISABLE_DEPRECATED

# Comment this line if you don't want icons to appear in menu
CFLAGS+=-DWITH_ICONS
# Uncomment this line if Openbox can display SVG icons 
# Check SVG support with '$ ldd /usr/bin/openbox | grep svg', librsvg must appear..
# CFLAGS+=-DWITH_SVG

prefix= /usr/local
DESTDIR ?= $(prefix)
BINDIR= ${DESTDIR}/bin

SRC= $(shell ls *.c 2> /dev/null)
OBJ= $(SRC:.c=.o)

all: $(OBJ) openbox-menu

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

openbox-menu: $(OBJ)
	$(CC) $(OBJ) -o openbox-menu $(LDFLAGS) $(LIBS)

.PHONY: clean install doc changelog check

clean:
	@rm -f *.o openbox-menu
	@rm -rf doc

install:
	@strip -s openbox-menu
	@install -Dm 755 openbox-menu $(BINDIR)/openbox-menu

doc:
	robodoc --src . --doc doc/ --multidoc --index --html --cmode

check: openbox-menu
	./openbox-menu > test.xml 
	xmllint test.xml
	rm test.xml

changelog:
	@hg log --style changelog > ChangeLog

## openbox-menu 0.5.1

=== debian/changelog ===
openbox-menu (0.5.1-2) unstable; urgency=high

  * Add debian/patches/fix_missing_double_quote.patch from upstream
    to fix XML parser error.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 03 Dec 2013 09:13:30 +0100

openbox-menu (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + install binary to usr/bin.
    + disable tests.
  * debian/control:
    + add depends to packages provides menu files.
  * Refresh debian/patches/debian_build.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 30 Nov 2013 11:43:27 +0100

openbox-menu (0.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #671862)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 01 Nov 2013 14:17:43 +0100

=== debian/control ===
Source: openbox-menu
Section: x11
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libmenu-cache-dev, libglib2.0-dev
Standards-Version: 3.9.5.0
Homepage: https://bitbucket.org/fabriceT/openbox-menu
Vcs-Browser: https://github.com/mati75/openbox-menu.git
Vcs-Git: git://github.com/mati75/openbox-menu.git

Package: openbox-menu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, openbox, lxmenu-data | gnome-menus | libgarcon-common
Description: openbox pipe-menu to display entries in *.desktop files
 openbox-menu is a pipemenu for the openbox window manager. It provides
 a dynamic menu listing of installed applications. Most of the work is
 done by the LXDE library menu-cache.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck

%:
	dh  $@

override_dh_auto_install:
	$(MAKE) install BINDIR=$(CURDIR)/debian/openbox-menu/usr/bin

override_dh_installman:
	dh_installman

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

## openbox-menu 0.7.0

=== debian/changelog ===
openbox-menu (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump minimal menu-cache version to 0.7.
    + Bump Standards-Version to 3.9.6. (no changes needed)
  * Remove debian/patches/fix_missing_double_quote.patch -- included
    upstream.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 02 Nov 2014 11:05:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libmenu-cache-dev, libglib2.0-dev
-Standards-Version: 3.9.5.0
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libmenu-cache-dev (>= 0.7), libglib2.0-dev
+Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/fabriceT/openbox-menu
 Vcs-Browser: https://github.com/mati75/openbox-menu.git
 Vcs-Git: git://github.com/mati75/openbox-menu.git

## openbox-menu 0.8.0

=== debian/changelog ===
openbox-menu (0.8.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #797016, #797022, #797241)
  * Drop debian/source/options -- no longer needed.
  * debian/rules:
    + Drop obsolete override_dh_builddeb.
    + Use hardening=+all flags.
    + Drop override_dh_installman.
  * debian/copyright: update dates.
  * debian/control:
    + Bump Standards-Version to 3.9.7. (no changes needed)
    + Use https on Vcs-Git.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 02 Mar 2016 18:35:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libmenu-cache-dev (>= 0.7), libglib2.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://bitbucket.org/fabriceT/openbox-menu
 Vcs-Browser: https://github.com/mati75/openbox-menu.git
-Vcs-Git: git://github.com/mati75/openbox-menu.git
+Vcs-Git: https://github.com/mati75/openbox-menu.git
 
 Package: openbox-menu
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

override_dh_auto_install:
	$(MAKE) install BINDIR=$(CURDIR)/debian/openbox-menu/usr/bin

## openbox-menu 0.8.0%2Bhg20161009

=== debian/watch ===
version=3
https://bitbucket.org/fabriceT/openbox-menu/downloads/openbox-menu-([\d.]+).tar.bz2

## openbox-menu 0.8.0+hg20161009

=== Makefile ===
LIBS= `pkg-config --libs glib-2.0 gtk+-2.0 libmenu-cache`
CFLAGS+= -g -Wall `pkg-config --cflags glib-2.0 gtk+-2.0 libmenu-cache`
CC=gcc
#-DG_DISABLE_DEPRECATED

# Comment this line if you don't want icons to appear in menu
CFLAGS+=-DWITH_ICONS
# Uncomment this line if Openbox can display SVG icons
# Check SVG support with '$ ldd /usr/bin/openbox | grep svg', librsvg must appear..
# CFLAGS+=-DWITH_SVG

prefix= /usr/local
DESTDIR ?= $(prefix)
BINDIR= ${DESTDIR}/bin

SRC= $(shell ls src/*.c 2> /dev/null)
OBJ= $(SRC:.c=.o)

TESTS_SRC= $(shell ls tests/*.c 2> /dev/null)
TEST_OBJ= $(TESTS_SRC:.c=.o)

all: $(OBJ) $(TEST_OBJ) check openbox-menu

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@


openbox-menu: $(OBJ)
	$(CC) $(OBJ) -o openbox-menu $(LDFLAGS) $(LIBS)

.PHONY: clean install doc changelog check xmllint

clean:
	@rm -f $(OBJ) $(TEST_OBJ) openbox-menu check
	@rm -rf doc

install:
	@strip -s openbox-menu
	@install -Dm 755 openbox-menu $(BINDIR)/openbox-menu

doc:
	robodoc --src . --doc doc/ --multidoc --index --html --cmode

check: $(TEST_OBJ) src/utils.o src/context.o
	$(CC) src/utils.o src/context.o $(TEST_OBJ) $(LDFLAGS) $(LIBS) -o check
	gtester --verbose check

xmllint: openbox-menu
	./openbox-menu > test.xml
	xmllint test.xml
	rm test.xml

changelog:
	@hg log --style changelog > ChangeLog

=== debian/changelog ===
openbox-menu (0.8.0+hg20161009-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #871404)
    + Make pkg-config substitutable.
    + Do not strip during install.

  [ Mateusz Łukasik ]
  * Merge latest hg version.
  * debian/control:
    + Bump Standards-Version to 4.0.1. (no changes needed)
    + Bump dh version to 10.
  * Update debian/rules.
  * Update debian/copyright.
  * Add testsuite.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 12 Aug 2017 21:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libmenu-cache-dev (>= 0.7), libglib2.0-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), libgtk2.0-dev, libmenu-cache-dev (>= 0.7), libglib2.0-dev
+Standards-Version: 4.0.1
 Homepage: https://bitbucket.org/fabriceT/openbox-menu
 Vcs-Browser: https://github.com/mati75/openbox-menu.git
 Vcs-Git: https://github.com/mati75/openbox-menu.git
+Testsuite: autopkgtest
 
 Package: openbox-menu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-export DEB_BUILD_OPTIONS=nocheck
+export DH_BUILD_MAINT_OPTIONS=nocheck
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:

=== debian/tests/control ===
Tests: simple
Restrictions: allow-stderr isolation-container
Depends: openbox, lxmenu-data
